#### D.6.3.2 arnoldShowSeries

Procedure from library `arnoldclassify.lib` (see arnoldclassify_lib).

Usage:
  arnoldShowSeries( S ); S string

Assume:
  S is the name of a singularity series listed by arnoldListAllSeries().

Return:
  data of the singularity series S of type singseries including
  - Milnor number of S,
  - Corank of S,
  - Milnor code of S (see [Bac01]),
  - normal form of S as string with parameters k,r,s and a,b,c,d,
  - restrictions on parameters in the normal form in SINGULAR syntax,
  - normal form with special (valid) parameters.

Example:

    LIB "arnoldclassify.lib";
    arnoldShowSeries("Z[k,12k+6r]");
    ==> Series=Z[k,12k+6r]
    ==> NormalForm=(x + a(y)*y^k)*(x^3 + x*y^(2*k+2*r+1) +
    ==>         b(y)* y^(3*k+3*r+2))
    ==> SpecialForm=(x + y^k)*(x^3 + x*y^(2*k+2*r+1) +y^(3*k+3*r+2))
    ==> Modality=3*k+r-2
    ==> Corank=2
    ==> MilnorNumber=12*k+6r
    ==> MilnorCode=1,1,2k-1,2k-1+2*r,2k+2*r
    ==> Restrictions= (k>1)&&(r>=0)&&(deg(a)<=(k-2))&&(jet(a,0)!=0)&&
    ==>         (jet(b,0)!=0)&&(deg(b)<=(2*k+r-2))

User manual for Singular version 4.4.1, 2025, generated by texi2html.